Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.common
Class ShibbolethConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.internet2.middleware.shibboleth.common.ShibbolethConfigurationException

All Implemented Interfaces:
  Serializable

    public class ShibbolethConfigurationException

extends Exception

Signals that the a Shibboleth component has been given insufficient or improper runtime configuration paramerts.

See Also:
  Serialized Form

Constructor Summary
`ShibbolethConfigurationException(String message)` Build an object embedding a String message.
`ShibbolethConfigurationException(String message, Throwable t)` Build an object which embeds an message an exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShibbolethConfigurationException

    public ShibbolethConfigurationException(String message)

  Build an object embedding a String message. Normally called for detected errors.

  Parameters:
    `message` - - Text (in US English) describing the reason for raising the exception.

### ShibbolethConfigurationException

    public ShibbolethConfigurationException(String message,
                                            Throwable t)

  Build an object which embeds an message an exception. Normally called to pass on errors found at a lower level.

  Parameters:
    `message` - - Text (in US English) describing the reasdon for raising the exception.
    `t` - - Cause for the failure as returned by the lower level component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.